Your message dated Sat, 02 Jun 2012 11:03:52 +0000
with message-id <e1sam7c-000509...@franck.debian.org>
and subject line Bug#674325: fixed in digikam 4:2.6.0~rc-4
has caused the Debian Bug report #674325,
regarding digikam: FTBFS: opencv not found
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact ow...@bugs.debian.org
immediately.)


-- 
674325: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=674325
Debian Bug Tracking System
Contact ow...@bugs.debian.org with problems
--- Begin Message ---
Source: digikam
Version: 4:2.6.0~rc-3
Severity: serious
Tags: wheezy sid
User: debian...@lists.debian.org
Usertags: qa-ftbfs-20120524 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> make[1]: Entering directory `/«PKGBUILDDIR»'
> LDFLAGS=" -Wl,--as-needed" dh_auto_configure --buildsystem=kde -- 
> -DDIGIKAMSC_COMPILE_DOC=on -DDIGIKAMSC_COMPILE_PO=on
> -- The C compiler identification is GNU 4.7.0
> -- The CXX compiler identification is GNU 4.7.0
> -- Check for working C compiler: /usr/bin/gcc
> -- Check for working C compiler: /usr/bin/gcc -- works
> -- Detecting C compiler ABI info
> -- Detecting C compiler ABI info - done
> -- Check for working CXX compiler: /usr/bin/c++
> -- Check for working CXX compiler: /usr/bin/c++ -- works
> -- Detecting CXX compiler ABI info
> -- Detecting CXX compiler ABI info - done
> -- Looking for Q_WS_X11
> -- Looking for Q_WS_X11 - found
> -- Looking for Q_WS_WIN
> -- Looking for Q_WS_WIN - not found.
> -- Looking for Q_WS_QWS
> -- Looking for Q_WS_QWS - not found.
> -- Looking for Q_WS_MAC
> -- Looking for Q_WS_MAC - not found.
> -- Found Qt-Version 4.8.1 (using /usr/bin/qmake)
> -- Looking for XOpenDisplay in 
> /usr/lib/x86_64-linux-gnu/libX11.so;/usr/lib/x86_64-linux-gnu/libXext.so;/usr/lib/x86_64-linux-gnu/libXft.so;/usr/lib/x86_64-linux-gnu/libXau.so;/usr/lib/x86_64-linux-gnu/libXdmcp.so
> -- Looking for XOpenDisplay in 
> /usr/lib/x86_64-linux-gnu/libX11.so;/usr/lib/x86_64-linux-gnu/libXext.so;/usr/lib/x86_64-linux-gnu/libXft.so;/usr/lib/x86_64-linux-gnu/libXau.so;/usr/lib/x86_64-linux-gnu/libXdmcp.so
>  - found
> -- Looking for gethostbyname
> -- Looking for gethostbyname - found
> -- Looking for connect
> -- Looking for connect - found
> -- Looking for remove
> -- Looking for remove - found
> -- Looking for shmat
> -- Looking for shmat - found
> -- Looking for IceConnectionNumber in ICE
> -- Looking for IceConnectionNumber in ICE - found
> -- Found X11: /usr/lib/x86_64-linux-gnu/libX11.so
> -- Looking for include file pthread.h
> -- Looking for include file pthread.h - found
> -- Looking for pthread_create
> -- Looking for pthread_create - not found.
> -- Looking for pthread_create in pthreads
> -- Looking for pthread_create in pthreads - not found
> -- Looking for pthread_create in pthread
> -- Looking for pthread_create in pthread - found
> -- Found Threads: TRUE  
> -- Looking for _POSIX_TIMERS
> -- Looking for _POSIX_TIMERS - found
> -- Found Automoc4: /usr/bin/automoc4 
> -- Found Perl: /usr/bin/perl (found version "5.14.2") 
> -- Found Phonon: /usr/include 
> -- Performing Test _OFFT_IS_64BIT
> -- Performing Test _OFFT_IS_64BIT - Success
> -- Performing Test HAVE_FPIE_SUPPORT
> -- Performing Test HAVE_FPIE_SUPPORT - Success
> -- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL
> -- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL - Success
> -- Performing Test __KDE_HAVE_GCC_VISIBILITY
> -- Performing Test __KDE_HAVE_GCC_VISIBILITY - Success
> -- Found KDE 4.7 include dir: /usr/include
> -- Found KDE 4.7 library dir: /usr/lib
> -- Found the KDE4 kconfig_compiler preprocessor: /usr/bin/kconfig_compiler
> -- Found automoc4: /usr/bin/automoc4
> -- Local kdegraphics libraries will be compiled... NO
> -- Handbooks will be compiled..................... YES
> -- Extract translations files..................... NO
> -- Translations will be compiled.................. YES
> -- 
> ----------------------------------------------------------------------------------
> -- Starting CMake configuration for: libmediawiki
> -- checking for module 'QJson>=0.7'
> --   found QJson, version 0.7.1
> -- Found QJSON: /usr/lib/x86_64-linux-gnu/libqjson.so  (found version 
> "0.7.1", required is "0.7")
> 
> -----------------------------------------------------------------------------
> -- The following external packages were located on your system.
> -- This installation will have the extra features provided by these packages.
> -----------------------------------------------------------------------------
>    * QJSON - Qt library for handling JSON data
> 
> -----------------------------------------------------------------------------
> -- Congratulations! All external packages have been found.
> -----------------------------------------------------------------------------
> 
> -- 
> ----------------------------------------------------------------------------------
> -- Starting CMake configuration for: libkgeomap
> -- Found Qt-Version 4.8.1 (using /usr/bin/qmake)
> -- Found X11: /usr/lib/x86_64-linux-gnu/libX11.so
> -- Found marble: /usr/include/marble 
> -- Check Kexiv2 library in local sub-folder...
> -- Check Kexiv2 library using pkg-config...
> -- WARNING: you are using the obsolete 'PKGCONFIG' macro, use FindPkgConfig
> -- Found libkexiv2 release >= 1.0.0
> -- Found libkexiv2: /usr/lib/libkexiv2.so
> -- kexiv2 found, the demo application will be compiled.
> -- Looking for valgrind/valgrind.h
> -- Looking for valgrind/valgrind.h - not found
> -- 
> ----------------------------------------------------------------------------------
> -- Starting CMake configuration for: libkface
> -- Found Qt-Version 4.8.1 (using /usr/bin/qmake)
> -- Found X11: /usr/lib/x86_64-linux-gnu/libX11.so
> -- First try at finding OpenCV...
> CMake Warning at extra/libkface/CMakeLists.txt:58 (FIND_PACKAGE):
>   By not providing "FindOpenCV.cmake" in CMAKE_MODULE_PATH this project has
>   asked CMake to find a package configuration file provided by "OpenCV", but
>   CMake did not find one.
> 
>   Could not find a package configuration file provided by "OpenCV" with any
>   of the following names:
> 
>     OpenCVConfig.cmake
>     opencv-config.cmake
> 
>   Add the installation prefix of "OpenCV" to CMAKE_PREFIX_PATH or set
>   "OpenCV_DIR" to a directory containing one of the above files.  If "OpenCV"
>   provides a separate development package or SDK, be sure it has been
>   installed.
> 
> 
> -- Could not find OpenCV normally, trying internal FindOpenCV.cmake
> -- Checking GNUCXX version 3/4 to determine  OpenCV /opt/net/ path
> CMake Error at extra/libkface/cmake/modules_opencv/FindOpenCV.cmake:237 
> (MESSAGE):
>   OpenCV required but some headers or libs not found.  Please specify its
>   location with OpenCV_ROOT_DIR env.  variable.
> Call Stack (most recent call first):
>   extra/libkface/CMakeLists.txt:63 (FIND_PACKAGE)
> 
> 
> -- Configuring incomplete, errors occurred!
> dh_auto_configure: cmake .. -DCMAKE_INSTALL_PREFIX=/usr 
> -DCMAKE_VERBOSE_MAKEFILE=ON -DCMAKE_BUILD_TYPE=Debian 
> -DDIGIKAMSC_COMPILE_DOC=on -DDIGIKAMSC_COMPILE_PO=on returned exit code 1
> make[1]: *** [override_dh_auto_configure] Error 2

The full build log is available from:
   
http://people.debian.org/~lucas/logs/2012/05/24/digikam_2.6.0~rc-3_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.



--- End Message ---
--- Begin Message ---
Source: digikam
Source-Version: 4:2.6.0~rc-4

We believe that the bug you reported is fixed in the latest version of
digikam, which is due to be installed in the Debian FTP archive:

digikam-data_2.6.0~rc-4_all.deb
  to main/d/digikam/digikam-data_2.6.0~rc-4_all.deb
digikam-dbg_2.6.0~rc-4_amd64.deb
  to main/d/digikam/digikam-dbg_2.6.0~rc-4_amd64.deb
digikam-doc_2.6.0~rc-4_all.deb
  to main/d/digikam/digikam-doc_2.6.0~rc-4_all.deb
digikam_2.6.0~rc-4.debian.tar.gz
  to main/d/digikam/digikam_2.6.0~rc-4.debian.tar.gz
digikam_2.6.0~rc-4.dsc
  to main/d/digikam/digikam_2.6.0~rc-4.dsc
digikam_2.6.0~rc-4_amd64.deb
  to main/d/digikam/digikam_2.6.0~rc-4_amd64.deb
kipi-plugins-common_2.6.0~rc-4_all.deb
  to main/d/digikam/kipi-plugins-common_2.6.0~rc-4_all.deb
kipi-plugins_2.6.0~rc-4_amd64.deb
  to main/d/digikam/kipi-plugins_2.6.0~rc-4_amd64.deb
showfoto_2.6.0~rc-4_amd64.deb
  to main/d/digikam/showfoto_2.6.0~rc-4_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 674...@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Purcell <m...@debian.org> (supplier of updated digikam package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmas...@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 02 Jun 2012 14:36:31 +1000
Source: digikam
Binary: digikam showfoto digikam-dbg digikam-data digikam-doc kipi-plugins 
kipi-plugins-common
Architecture: source amd64 all
Version: 4:2.6.0~rc-4
Distribution: unstable
Urgency: low
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Changed-By: Mark Purcell <m...@debian.org>
Description: 
 digikam    - digital photo management application for KDE
 digikam-data - digiKam architecture-independant data
 digikam-dbg - debugging symbols for digiKam
 digikam-doc - handbook for digiKam
 kipi-plugins - image manipulation/handling plugins for KIPI aware programs
 kipi-plugins-common - kipi-plugins architecture-independent data
 showfoto   - image viewer/editor for KDE
Closes: 661786 670454 674325
Changes: 
 digikam (4:2.6.0~rc-4) unstable; urgency=low
 .
   * Build-Depends: libopencv-dev
     - Fixes "FTBFS: opencv not found" (Closes: #674325)
   * Fix "FTBFS on mips ("error: #error Unable to figure out byte
     order.")" rediscover dngconverter_BYTE_ORDER.diff (Closes: #670454)
   * Fix "Cannot send pictures via icedove !" rediscover sendimages-icedove.diff
     (Closes: #661786)
Checksums-Sha1: 
 d0ee89a053700edc7fca502b2d926b2af97fb832 2443 digikam_2.6.0~rc-4.dsc
 e8669d262793c62fc98ebf3362bb4deb6e9838a2 42326 digikam_2.6.0~rc-4.debian.tar.gz
 89e9fdbe79e53c09ee6e724ad4a854c47e182545 7620070 digikam_2.6.0~rc-4_amd64.deb
 18c09f411cca055a19fedbc7ee4764f7ce424ef9 2018284 showfoto_2.6.0~rc-4_amd64.deb
 79fd62d8f6f71bdc49ae0035e2238fc50a2729dd 6552158 
digikam-dbg_2.6.0~rc-4_amd64.deb
 3dcf25221f9295559cd6964f31d3585347d208e2 11005948 
digikam-data_2.6.0~rc-4_all.deb
 899abedde9fd41252440c04851e6f5c30f523910 18801398 
digikam-doc_2.6.0~rc-4_all.deb
 62d7582519af6659772f80183ba98f1d2af6190c 7006218 
kipi-plugins_2.6.0~rc-4_amd64.deb
 9c432c227333e332e032203da40a67f4c9515035 7534776 
kipi-plugins-common_2.6.0~rc-4_all.deb
Checksums-Sha256: 
 e63c7b5b04f33b91bdb618269d28f41923a8cec409fe61d961ec14cbb6150676 2443 
digikam_2.6.0~rc-4.dsc
 edc51968794ba798b4524e7f54081befca9277fddc6f3c8e573ac772fb8e9520 42326 
digikam_2.6.0~rc-4.debian.tar.gz
 3a8f766467d6be392ea32fbc4ff9ec2ccdaa118566edb8eae54c317b32d5f0a9 7620070 
digikam_2.6.0~rc-4_amd64.deb
 18f3220f7e9cf3368e5b3d5e1debb2a24317dc84cec4678ed5a10cbfd03069fd 2018284 
showfoto_2.6.0~rc-4_amd64.deb
 0b82b9438af60b21184f20c6eb7c924ddc4b628cce6563fe945c647526c13870 6552158 
digikam-dbg_2.6.0~rc-4_amd64.deb
 fa07625112bdd237e7bd7d5027c29b48f05860eb1cb4fb2e320c574a72106215 11005948 
digikam-data_2.6.0~rc-4_all.deb
 1217dab1815507d9607ee37d80eab4b655f431b96885941140914dc9d6dde482 18801398 
digikam-doc_2.6.0~rc-4_all.deb
 be1230bddeb3c0b033533f429cb8e8fef73d40c894ea286d0c57615455efb865 7006218 
kipi-plugins_2.6.0~rc-4_amd64.deb
 3250cf349cd29e3d94327cfd4dd4f61fbd58e93048b5f1f4e05e478e308e48ac 7534776 
kipi-plugins-common_2.6.0~rc-4_all.deb
Files: 
 e851078ea243092dbddc3fac709b109c 2443 kde optional digikam_2.6.0~rc-4.dsc
 6942f3d3e7f0f1de4215c2adced631b6 42326 kde optional 
digikam_2.6.0~rc-4.debian.tar.gz
 ff7474dd84ca8aa46dda8a7bd7aa6550 7620070 kde optional 
digikam_2.6.0~rc-4_amd64.deb
 60b444105b1c8fcf6f4459aa97c278eb 2018284 kde optional 
showfoto_2.6.0~rc-4_amd64.deb
 1b89e67679a67252dd0ba6b289f1923f 6552158 debug extra 
digikam-dbg_2.6.0~rc-4_amd64.deb
 4422b17179ca77e2fc354cb2063444bf 11005948 kde optional 
digikam-data_2.6.0~rc-4_all.deb
 01655d39d5a6fbf49a67c0383c222b89 18801398 doc optional 
digikam-doc_2.6.0~rc-4_all.deb
 30c2c16fa8f4e802690baefa6eb3cd3f 7006218 kde optional 
kipi-plugins_2.6.0~rc-4_amd64.deb
 c178eda0b12b48eceeb4b04ca806ebda 7534776 kde optional 
kipi-plugins-common_2.6.0~rc-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/J6iQACgkQoCzanz0IthJhFACZAfh6Zsun3ILBEHrZ6b+eFFDT
N5IAn0AHKAlNdUsJA9rNjcY5xAMippft
=FgUJ
-----END PGP SIGNATURE-----



--- End Message ---
_______________________________________________
pkg-kde-extras mailing list
pkg-kde-extras@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-kde-extras

Reply via email to